package com.danding.yang800.Vo;

import java.util.List;

/**
 * Created by Administrator on 2018/1/3.
 */
public class MarketPlatformVO {


    /**
     * success : true
     * result : [{"id":1,"name":"新用户代金券","totalQuantity":"6666","availableQuantity":"1","limitQuantity":"1","conditionFee":"7","receiveFee":"6","startTime":"2017.12.11","endTime":"2018.04.06","receiveRuleDesc":"每一用户限领1张（共3000张）","canShare":false}]
     */
    private boolean success;
    private List<ResultBean> result;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public List<ResultBean> getResult() {
        return result;
    }

    public void setResult(List<ResultBean> result) {
        this.result = result;
    }

    public static class ResultBean {
        /**
         * id : 1
         * name : 新用户代金券
         * totalQuantity : 6666
         * availableQuantity : 1
         * limitQuantity : 1
         * conditionFee : 7
         * receiveFee : 6
         * startTime : 2017.12.11
         * endTime : 2018.04.06
         * receiveRuleDesc : 每一用户限领1张（共3000张）
         * canShare : false
         */

        private int id;
        private String name;
        private String totalQuantity;
        private String availableQuantity;
        private String limitQuantity;
        private String conditionFee;
        private String receiveFee;
        private String startTime;
        private String endTime;
        private String receiveRuleDesc;
        private boolean canShare;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getTotalQuantity() {
            return totalQuantity;
        }

        public void setTotalQuantity(String totalQuantity) {
            this.totalQuantity = totalQuantity;
        }

        public String getAvailableQuantity() {
            return availableQuantity;
        }

        public void setAvailableQuantity(String availableQuantity) {
            this.availableQuantity = availableQuantity;
        }

        public String getLimitQuantity() {
            return limitQuantity;
        }

        public void setLimitQuantity(String limitQuantity) {
            this.limitQuantity = limitQuantity;
        }

        public String getConditionFee() {
            return conditionFee;
        }

        public void setConditionFee(String conditionFee) {
            this.conditionFee = conditionFee;
        }

        public String getReceiveFee() {
            return receiveFee;
        }

        public void setReceiveFee(String receiveFee) {
            this.receiveFee = receiveFee;
        }

        public String getStartTime() {
            return startTime;
        }

        public void setStartTime(String startTime) {
            this.startTime = startTime;
        }

        public String getEndTime() {
            return endTime;
        }

        public void setEndTime(String endTime) {
            this.endTime = endTime;
        }

        public String getReceiveRuleDesc() {
            return receiveRuleDesc;
        }

        public void setReceiveRuleDesc(String receiveRuleDesc) {
            this.receiveRuleDesc = receiveRuleDesc;
        }

        public boolean isCanShare() {
            return canShare;
        }

        public void setCanShare(boolean canShare) {
            this.canShare = canShare;
        }
    }
}
